Subject: [clue] Mark's comments on draft-ietf-clue-data-model-schema-07

From: "Duckworth, Mark" <[email-masked]>
Date: Fri, 20 Mar 2015 13:54:24 -0700

Hello all,

I agree with Christian's comments and do not duplicate those items here.

Improve a few of the names of things, as discussed in http://www.ietf.org/mail-archive/web/clue/current/msg04155.html.

Use xs:float for pointType, as discussed in http://www.ietf.org/mail-archive/web/clue/current/msg04148.html

Section 1 - "The schema definition is intended to be modified according to changes applied to the above mentioned CLUE document." - I think we can remove this now?

Section 2 - "'CLUE Participant' definition (which is still under discussion)" We should finalize this, not under discussion any more.  The framework now has a definition of "CLUE-capable device".  Does this term meet the needs of the data model?  Can we replace "CLUE Participant" with "CLUE-capable device"?

"Camera-Left and Right" - we can remove this, not used anymore.

"MCU" - remove it

"Spatial Information" - do we need this definition?  As written, I think it is too restrictive, because spatial information doesn't have to refer to real capture devices or space in a physical room.  Can we delete this?  The framework doesn't have a definition for it either.

Update these to match the framework (or just refer the whole thing to the framework?):
Capture Device
Capture Scene
Capture Scene View
Encoding or Individual Encoding
Encoding Group
Endpoint
Media
Media Capture
Media Stream
Media Provider
Media Consumer
Multiple Content Capture
Plane of Interest
Render
Single Media Capture
Stream Characteristics

Section 4 ore -> or

10.9 Policy - There is a [todo] here.  I think <policy> should be a structure with an enumeration and a numeric index, not just a string as in the schema now.  Was that the intent?

10.10 "When the "exactNumber" attribute is set to "1"..."
I suggest "When the "exactNumber" attribute is set to "1" or "true" ..." because both are legal values for xs:Boolean.

<sceneViews> - section 15.0 says this is optional, but 15.2 says mandatory.  Framework section 7.3 says "A Capture Scene includes one or more Capture Scene Views", so I think this should be mandatory.  So the "sceneViews" element should not have minOccurs="0".

<clueInfo> Is it time to remove this yet?  We want to replace this with the <advertisement> element from the protocol document, right?

Section 26 example
"... endpoint-style Media Provider's offer".  I think it should be "... endpoint-style Media Provider's advertisement"

p. 44 simultaneous sets - I think it makes more sense to say you can't provide the loudest segment at same time as the zoomed out view.  So VC3 and VC4 can't be simultaneous. So then SS2 should be just (VC0, VC2, VC4).

Should we change the top level XML elements to match the schema for an advertisement, rather than the temporary <clueInfo> element?

The spatial information in the sample file doesn't make sense, it looks like just a placeholder because it is identical for all captures. I have this proposal for spatial information.
AC0
<capturePoint>
  <x>0.0</x>
  <y>0.0</y>
  <z>10.0</z>
  <lineOfCapturePoint>
    <x>0.0</x>
    <y>1.0</y>
    <z>10.0</z>
  </lineOfCapturePoint>
</capturePoint>

VC0 - left
<capturePoint>
  <x>-2.0</x>
  <y>0.0</y>
  <z>10.0</z>
</capturePoint>
<captureArea>
  <bottomLeft>  <x>-3.0</x> <y>20.0</y> <z>9.0</z> </bottomLeft>
  <bottomRight> <x>-1.0</x> <y>20.0</y> <z>9.0</z> </bottomRight>
  <topLeft>     <x>-3.0</x> <y>20.0</y> <z>11.0</z> </topLeft>
  <topRight>    <x>-1.0</x> <y>20.0</y> <z>11.0</z> </topRight>
</captureArea>

VC1 - center
<capturePoint>
  <x>0.0</x>
  <y>0.0</y>
  <z>10.0</z>
</capturePoint>
<captureArea>
  <bottomLeft>  <x>-1.0</x> <y>20.0</y> <z>9.0</z> </bottomLeft>
  <bottomRight> <x>1.0</x>  <y>20.0</y> <z>9.0</z> </bottomRight>
  <topLeft>     <x>-1.0</x> <y>20.0</y> <z>11.0</z> </topLeft>
  <topRight>    <x>1.0</x>  <y>20.0</y> <z>11.0</z> </topRight>
</captureArea>

VC2 - right
<capturePoint>
  <x>2.0</x>
  <y>0.0</y>
  <z>10.0</z>
</capturePoint>
<captureArea>
  <bottomLeft>  <x>1.0</x> <y>20.0</y> <z>9.0</z> </bottomLeft>
  <bottomRight> <x>3.0</x> <y>20.0</y> <z>9.0</z> </bottomRight>
  <topLeft>     <x>1.0</x> <y>20.0</y> <z>11.0</z> </topLeft>
  <topRight>    <x>3.0</x> <y>20.0</y> <z>11.0</z> </topRight>
</captureArea>

VC3 - loudest segment
<captureArea>
  <bottomLeft>  <x>-3.0</x> <y>20.0</y> <z>9.0</z> </bottomLeft>
  <bottomRight> <x>3.0</x>  <y>20.0</y> <z>9.0</z> </bottomRight>
  <topLeft>     <x>-3.0</x> <y>20.0</y> <z>11.0</z> </topLeft>
  <topRight>    <x>3.0</x>  <y>20.0</y> <z>11.0</z> </topRight>
</captureArea>

VC4 - zoomed out
<capturePoint>
  <x>0.0</x>
  <y>0.0</y>
  <z>10.0</z>
</capturePoint>
<captureArea>
  <bottomLeft>  <x>-3.0</x> <y>20.0</y> <z>7.0</z> </bottomLeft>
  <bottomRight> <x>3.0</x>  <y>20.0</y> <z>7.0</z> </bottomRight>
  <topLeft>     <x>-3.0</x> <y>20.0</y> <z>13.0</z> </topLeft>
  <topRight>    <x>3.0</x>  <y>20.0</y> <z>13.0</z> </topRight>
</captureArea>

There are two <sceneView> elements with just VC4.  I think one of them should have AC0 instead.

Maybe VC3 and VC4 should have priority = 2?  Otherwise they all have priority=1, which isn't useful.

Section 27 MCC example.

Looks like this one is an extension of previous, so any updates to section 26 should apply here too.
VC3 VC5 VC6 and VC7 should all have the same spatial information, same as VC3 in section 26.
Some captures should have lower priority, if they are all the same it doesn't help.
I think VC7 should have this too:
<maxCaptures exactNumber="true">3</maxCaptures>
VC7 also needs an encoding group
<encGroupIDREF>EG0</encGroupIDREF>
Again, simultaneous sets don't seem quite right.
SS1: (SE1, VC3, VC7) I added VC3
SS2: (VC0, VC2, VC4) I removed VC7, because can't do all the segments at same time as VC4 zoomed out.

Regards,
Mark